# Format de cours iENA

Ce plugin est un format de cours pour MOODLE. Il change l'apparence d'une page de cours et y ajoute certaines fonctionnalités. 

This plugin is a new course format for MOODLE. It change the course page interface and add some functionnalities : lisibility improvement, progression dashboard for student and teacher and blended learning support.  

## Auteurs

- Myriam Delaruelle <myriam.delaruelle@univ-lorraine.fr>

- Vrignaud Camille <cvrignaud@softia.fr>
- Lebeau Michaël <mlebeau@softia.fr>
- Thomas Fradet <thomas.fradet@univ-lorraine.fr>

## Compatibility

MOODLE 3.7
MOODLE 3.8
MOODLE 3.9
MOODLE 3.10
MOODLE 3.11

MOODLE 4.0
MOODLE 4.1

## Contribution

Contributors are welcome ! Please contact <iena-contact@univ-lorraine.fr>. 

## Contact

Pour assistance interne (Université de Lorraine) : <https://helpdesk.univ-lorraine.fr>. 

Pour tout autre question : <iena-contact@univ-lorraine.fr>. 

Other : <iena-contact@univ-lorraine.fr>. 

## Installation

Ce plugin _doit_ être installé au chemin suivant : `/course/format/iena`. 

## Activation et paramétrage

Rendez-vous dans les paramètres (généraux) du cours et sélectionnez ce format de cours provisoirement nommé "Format de cours hybride". Une fois sélectionné, vous pourrez ajuster les paramètres propres à ce format de cours. 

## Fonctionnalités

### Présentation du cours

Le cours est présenté d'une manière plus fortement structurée permetant une meilleure lecture par l'étudiant. 

La description du cours est visible sur la page de cours. La description des sections est pliable / dépliable pour permettre d'y placer une description longue et informative d'une séance de cours sans pour autant gêner, allonger, l'affichage de la page. 

### Suivi de progression

Requis : avoir activé le "suivi d'achèvement d'activité" de MOODLE dans les paramètres généraux du cours (et éventuellement dans l'administration du site). 

Les ressources ou activités dont l'achèvement est paramétré (dans les paramètres de l'activité) apparaissent dans une barre de progression en haut de page pour l'étudiant. Des pourcentages de progression sont disponibles pour chaque section, et des éléments colorés suivant l'état d'achèvement permettent de connaître son avancement dans le cours. 

L'enseignant peut accéder à un tableau de suivi par section, par groupe. Le tableau est filtrable par pourcentage d'achèvement et téléchargeable. 

Codes couleurs dans l'interface et notation dans le tableau téléchargé : 

- Non fait : vert clair (0)
- Fait (si activité non notée) : vert foncé (1)
- Fait (si activité notée) : vert foncé (2)
- Fait (essayé) mais échoué (si activité notée) : orange (0.5)

Le tableau de suivi permet de sélectionner des étudiants et de leur envoyer un message personnalisé selon leur progression dans le cours. 

### Modalités d'enseignement

Un label présence / distance et une date peut être placé dans l'entête d'une section / séance de cours afin d'indiquer des changements de modalité d'enseignement dans des dispositifs hybride. Cette fonction est liée à un rappel automatique par mail. La date et l'heure peuvent être spécifiées. 

### Contact enseignant

Un bouton "Enseignant" en haut à droite permet à l'étudiant d'avoir la liste des enseignants du cours et de les contacter facilement par messagerie interne. Par défaut, les messages interne de MOODLE reçus hors connexion sont transmis par mail. 

## Roadmap

- Refactorisation du code. 
- Mode édition intégré pour l'ajout de ressources et activités et modification de leurs paramètres. 
- Evolution du design de la page pour la rapprocher de l'apparence du plugin _Parcours_ plus esthétique. 
- Ne pas afficher les filtres par groupe quand il n'y en a pas. 
