<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 *
 * course_format_iena_sections
 *
 * @package    format_iena
 * @copyright  2018 Softia/Université lorraine
 * @author     Thomas Fradet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
class course_format_iena_attendance {

    /**
     * @param $idcourse
     * @return array
     * @throws dml_exception
     */
    public function get_attendance_sessions($courseid) {
        global $DB;

        $res = $DB->get_records_sql('SELECT sessdate, att_sess.id, duration, groupid
            FROM {attendance_sessions} att_sess
            INNER JOIN {attendance} att ON att_sess.attendanceid = att.id
            WHERE att.course = ?',
            array($courseid));

        return $res;
    }
}
