<?php
/**
 * Created by PhpStorm.
 * User: softia
 * Date: 26/02/2018
 * Time: 16:53
 */

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package    format_iena
 * @category   format
 * @copyright  2018 Softia/Université lorraine
 * @author     vrignaud camille / Thomas Fradet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
global $COURSE, $DB, $USER;

// groupe du get acquise depuis le clic sur l'indicateur dans la page du cours : 0 pour tous
$active_group = $_GET['groupid'];
$current_user_groups = groups_get_user_groups($COURSE->id, $USER->id)[0];
if ($active_group == NULL) {
	if ( count($current_user_groups) == 0 ) {
		$active_group = 0;
	} else {
		$active_group = $current_user_groups[0];
	}
}

// membre des groupes de l'utilisateur
// if (count($current_user_groups) != 0) {
// 	foreach ($current_user_groups[0] as $group) {
// 		groups_get_members($)
// 	}
// }

// récupération initiale de donnée (trop lourde)
$modules_completion_infos = $DB->get_records_sql('SELECT cmc.id, cmc.coursemoduleid, cmc.userid, cmc.completionstate,
	cm.course, cm.section, cm.module, cm.idnumber,
	u.firstname, u.lastname, u.id as userID, m.name
	FROM  {course_modules_completion} as cmc
	inner join {course_modules} as cm on cm.id = cmc.coursemoduleid
	inner join {user} as u on u.id = cmc.userid
	inner join {modules} as m on m.id = cm.module
	where cm.course = ? 
	and cm.deletioninprogress = 0
	and cmc.completionstate > 0
	order by section, coursemoduleid asc', array($COURSE->id));
// coursemoduleid, completionstate, userid, section, firstname, lastname

// var_dump($modules_completion_infos);
// var_dump(COMPLETION_INCOMPLETE);
// var_dump(COMPLETION_COMPLETE);
// var_dump(COMPLETION_COMPLETE_PASS);
// var_dump(COMPLETION_COMPLETE_FAIL);

/*
							Etudiants	ens
COMPLETION_INCOMPLETE		vert clair	vert clair
COMPLETION_COMPLETE			vert foncé	vert foncé
COMPLETION_COMPLETE_PASS	vert foncé	vert clair ou tour vert mais avec croix rouge
COMPLETION_COMPLETE_FAIL	vert clair	vert foncé
*/

// echo "<pre>";
// var_dump(
// groups_get_all_groups($COURSE->id, 0, 0, 'g.*', true)
// );
// echo "</pre>";

$groups_with_users = groups_get_all_groups($COURSE->id, 0, 0, 'g.*', true);

// réunit le résultat de la requète en un tableau d'utilisateurs ayant un achèvement avec les activités achevées
$users_mods = [];
foreach ($modules_completion_infos as $cpl) {
	if (has_capability('course/iena:suivi', $context = context_course::instance($COURSE->id), $cpl->userid)) {
		continue;
	}
	if ( count($users_mods) == 0 ) {
		$modules = [];
		foreach ($modules_completion_infos as $cpl_bis) {
			if ( $cpl_bis->userid == $cpl->userid ) {
				$mod = new stdClass();
				$mod->id = $cpl_bis->coursemoduleid;
				$mod->cpl_state = $cpl_bis->completionstate;
				$modules[] = $mod;
				// $modules[] = $cpl_bis->coursemoduleid;
			}
		}

		// $groups = groups_get_user_groups($COURSE->id, $cpl->userid)[0];
		// if ( count($group) == 0 ) {
		// 	$groups[] = 0;
		// }

		$groups = [];
		foreach ($groups_with_users as $group_id => $group) {
			if ( in_array($cpl->userid, $group->members) ) {
		// var_dump($cpl->userid);
				$groups[] = $group->id;
			}
		}
		if ( count($group) == 0 ) {
			$groups[] = 0;
		}
		
		$users_mods[] = [
			'userid' => $cpl->userid,
			'firstname' => $cpl->firstname,
			'lastname' => $cpl->lastname,
			'name' => $cpl->firstname . ' ' . $cpl->lastname,
			'groups' => $groups,
			'modules' => $modules,
			'check' => false
		];	
	}
	$in_array = false;
	foreach ($users_mods as $user) {
		if ( $user['userid'] == $cpl->userid ) {
			$in_array = true;
		}
	}
	if ( ! $in_array ) {
		$modules = [];
		foreach ($modules_completion_infos as $cpl_bis) {
			if ( $cpl_bis->userid == $cpl->userid ) {
				$mod = new stdClass();
				$mod->id = $cpl_bis->coursemoduleid;
				$mod->cpl_state = $cpl_bis->completionstate;
				$modules[] = $mod;
			}
		}
		
		// $groups = groups_get_user_groups($COURSE->id, $cpl->userid)[0];
		// if ( count($group) == 0 ) {
		// 	$groups[] = 0;
		// }

		$groups = [];
		// var_dump($cpl->userid);
		foreach ($groups_with_users as $group_id => $group) {
			if ( in_array($cpl->userid, $group->members) ) {
				$groups[] = $group->id;
			}
		}
		if ( count($group) == 0 ) {
			$groups[] = 0;
		}
		
		$users_mods[] = [
			'userid' => $cpl->userid,
			'firstname' => $cpl->firstname,
			'lastname' => $cpl->lastname,
			'name' => $cpl->firstname . ' ' . $cpl->lastname,
			'groups' => $groups,
			'modules' => $modules,
			'check' => false
		];
		
	}
}

// ajoute tous les utilisateurs n'ayant pas d'achèvement à la liste
$course_ctx = context_course::instance($COURSE->id);
$all_students = get_enrolled_users($course_ctx);
// echo "<pre>";
// var_dump($users_mods);
// echo "</pre>";
$all_studs = [];
foreach ($all_students as $key => $student) {
	// les ens. et ens. non éditeurs ne doivent pas être dans le tableau
	if (has_capability('course/iena:suivi', $context = context_course::instance($COURSE->id), $student->id)) {
		continue;
	}
	$in_users_mod = false;
	foreach ($users_mods as $users_mod) {
		if ( $users_mod['userid'] == $student->id ) {
			$all_studs[] = $users_mod;
			$in_users_mod = true;
		}
	}
	if ( ! $in_users_mod ) {
		
		// $groups = groups_get_user_groups($COURSE->id, $student->id)[0];
		// if ( count($group) == 0 ) {
		// 	$groups[] = 0;
		// }

		$groups = [];
		// var_dump($student->id);
		foreach ($groups_with_users as $group_id => $group) {
			if ( in_array($student->id, $group->members) ) {
				$groups[] = $group->id;
			}
		}
		if ( count($group) == 0 ) {
			$groups[] = 0;
		}
		
		$all_studs[] = [
			'userid' => $student->id,
			'firstname' => $student->firstname,
			'lastname' => $student->lastname,
			'name' => $student->firstname . ' ' . $student->lastname,
			'groups' => $groups,
			'modules' => [],
			'check' => false
		];
		
	}
}

// activités du cours dans l'ordre avec id, nom et achèvement activé on non
$modinfo = get_fast_modinfo($COURSE->id);
$modules = [];
foreach ($modinfo->get_cms() as $cm) {
	if ($cm->deletioninprogress == 0) {
		// substr => mb_substr for utf-8 bug if string split is in é (e' => eBUG)
		// $shortname = strlen($cm->name) > 20 ? substr($cm->name, 0, 19).'…' : $cm->name;
		$shortname = strlen($cm->name) > 20 ? mb_substr($cm->name, 0, 19, 'UTF-8').'…' : $cm->name;
		$module = [
			'id' => $cm->id,
			'name' => $cm->name,
			'shortname' => $shortname,
			'on_compl' => $cm->completion
		];
	}
	$modules[] = $module;
}

// sections du cours
$sections = $modinfo->get_section_info_all();

$course_sections = [];
foreach ($sections as $key => $section) {
	$course_sections[] = [
		'id' => $section->id,
		'name' => $section->name === NULL ? 'Section ' . $key : $section->name
	];
}

// section du get acquise depuis le clic sur l'indicateur dans la page du cours
$active_section = $_GET['sectionid'];
if ($active_section == NULL) {
	// no param given for section : first section (not generalities section 0)
	$active_section = $sections[1]->id;
}

// groupes du cours : le tableau permet de les avoir par ordre alphabétique (je sais pas pourquoi)
$groups = $groups_with_users;
$course_groups = [];
foreach ($groups as $group) {
	$course_groups[] = [
		'id' => $group->id,
		'name' => $group->name
	];
}

// activités du cours suivies par l'indicateur de suivi avec cm_id et section_id (section de l'indicateur concerné)
$iena_cms = $DB->get_records_sql('SELECT id, cmid, sectionid from {format_iena_settings} 
	where courseid = ? 
	and hide = 1', array($COURSE->id));

$has_data = "no";
foreach ($iena_cms as $cms) {
	if ( $cms->sectionid == $active_section ) {
		$has_data = "yes";
		break;
	}
}

// activités suivies groupées par section de l'indicateur
$iena_sections_cms = [];
foreach ($iena_cms as $iena_cm) {
	if ( count($iena_sections_cms) == 0 ) {
		$cmids = [];
		foreach ($iena_cms as $iena_cm_bis) {
			if ( $iena_cm->sectionid == $iena_cm_bis->sectionid ) {
				$cmids[] = $iena_cm_bis->cmid;
			}
		}
		$iena_sections_cms[] = [
			'sectionid' => $iena_cm->sectionid,
			'cmids' => $cmids
		];
	}
	$in_array = false;
	foreach ($iena_sections_cms as $iena_section) {
		if ( $iena_section['sectionid'] == $iena_cm->sectionid ) {
			$in_array = true;
			break;
		}
	}
	if ( ! $in_array ) {
		$cmids = [];
		foreach ($iena_cms as $iena_cm_bis) {
			if ( $iena_cm->sectionid == $iena_cm_bis->sectionid ) {
				$cmids[] = $iena_cm_bis->cmid;
			}
		}
		$iena_sections_cms[] = [
			'sectionid' => $iena_cm->sectionid,
			'cmids' => $cmids
		];
	}
}

// activités suivies par section de l'indicateur avec nom et infos sur activation de la complétion
$data = [];
// pour chaque section du cours
foreach ($sections as $section_i => $section) {
	// pour chaque section suivie
	foreach ($iena_sections_cms as $iena_section_cms) {
		if ( $section->id == $iena_section_cms['sectionid'] ) {
			// pour chaque activité du cours
			$cpl_mod = [];
			foreach ($modules as $module) {
				// pour chaque activité suivie
				foreach ($iena_section_cms['cmids'] as $iena_section_cm) {
					if ( $module['id'] == $iena_section_cm ) {
						$cpl_mod[] = $module;
					}
				}
			}
			$iena_section_cms['modules'] = $cpl_mod;
			$section_name = $section->name == NULL ? "Section ".$section_i : $section->name;
			$iena_section_cms['section_name'] = $section_name;
			$data[] = $iena_section_cms;
		}
	}
}

?>

<!-- prod -->
<!-- <link rel="stylesheet" type="text/css" href="<?php echo $CFG->wwwroot; ?>/course/format/iena/suivi-table.css"> -->
<!-- dev -->
<style><?php echo file_get_contents( $CFG->wwwroot.'/course/format/iena/suivi-table.css' ); ?></style>

<!-- vuejs.org -->
<!-- prod -->
<script src="https://cdn.jsdelivr.net/npm/vue@2.5.16/dist/vue.min.js"></script>
<!-- dev -->
<!-- <script src="https://cdn.jsdelivr.net/npm/vue@2.5.16/dist/vue.js"></script> -->

<div id="app">

	<div v-if="has_data == 'no'">
		<h2>Pas de suivi paramétré pour cette section. </h2>
		<p>Seuls les enseignants peuvent paramétrer le suivi. </p>
		<?php if (has_capability('course/iena:suivi_edit', $context = context_course::instance($COURSE->id), $USER->id)) {
			echo '<p>Pour sélectionner quels activités vous voulez suivre pour cette section, cliquez sur le bouton ci-dessous.</p><a :href="edit_settings_link" class="btn btn-primary">Paramétrer</a>';
		} ?>
	</div>
	<div v-if="has_data == 'yes'">

		<!-- Selects -->
		<div>
			<h2 class="d-inline-block">Indicateur de suivi de section {{ active_section_name }}</h2>
			<?php if (has_capability('course/iena:suivi_edit', $context = context_course::instance($COURSE->id), $USER->id)) {
				echo '<a :href="edit_settings_link" class="btn btn-primary float-right">Modifier</a>';
			} ?>
		</div>
		<div class="form-row">
			<div class="form-group col-md-4">
				<label for="section"><strong>Section</strong></label>
				<select v-model="active_section_id" id="section" class="form-control">
					<option v-for="section in table" :value="section.sectionid">{{section.section_name}}</option>
				</select>
			</div>
			<div class="form-group col-md-4">
				<label for="group"><strong>Groupe</strong></label>
				<select v-model="active_group" id="group" class="form-control">
					<option value="0" selected="selected">Pas de filtre</option>
					<optgroup label="Mes groupes">
						<option v-for="group in course_groups" v-if="is_user_group(group.id)" :value="group.id">{{ group.name }}</option>
					</optgroup>
					<?php if (has_capability('course/iena:suivi_edit', $context = context_course::instance($COURSE->id), $USER->id)) {
						echo '<optgroup label="Tous les groupes">';
						echo '<option v-for="group in course_groups" :value="group.id">{{ group.name }}</option>';
						echo '</optgroup>';
					} ?>
				</select>
			</div>
			<div class="form-group col-md-4">
				<label for="students"><strong>Critère</strong></label>
				<select v-model="stud_filter" id="students" class="form-control">
					<option value="nodone">Etudiants n'ayant pas terminé</option>
					<option value="all">Tous les étudiants</option>
				</select>
			</div>
		</div>

		<p><a href="#" @click.prevent="select_all_studs()"><span v-if="all_selected">Sélectionner aucun</span><span v-if="!all_selected">Sélectionner tout</span></a><span style="float: right;"><a :href="base_url + '/report/progress/index.php?course=' + course_id + '&group=' + active_group" target="_blank">Achèvement d'activité complet</a></span></p>

		<!-- Legende -->

		<div class="legend">
			<span>Achèvement : </span><span>Fait </span><span class="done"></span><span> | Essayé mais échoué </span><span class="done_fail"></span><span> | Non fait </span><span class="no_done"></span>
		</div>
		
		<!-- Table -->

		<div class="table-responsive">
			<table class="table table-striped table-sm">
				<thead class="thead-dark">
					<tr>
						<th scope="col">Étudiant</th>
						<th v-for="module in active_section.modules" :title="module.name" scope="col" :class="{ 'bg-danger': module.on_compl == 0 }">{{ module.shortname }}</th>
					</tr>
				</thead>
				<tbody>
					<tr v-for="student in students" v-if="all_done(student) && group(student)" :key="student.userid">
						<th scope="row" :title="student.name"><input v-model="student.check" type="checkbox"></input> <span class="percentage"> {{student_cpl_c(student)}}</span> <a :href="base_url + '/report/outline/user.php?id=' + student.userid + '&course=' + course_id + '&mode=outline'" target="_blank" class="btn btn-dark btn-sm btn-super-sm"><i class="icon fa fa-graduation-cap fa-fw " aria-hidden="true" aria-label=""></i></a><a :href="base_url + '/message/index.php?id=' + student.userid" target="_blank" class="btn btn-dark btn-sm btn-super-sm"><i class="icon fa fa-envelope fa-fw " aria-hidden="true" aria-label=""></i></a> {{ student.name }}</th>
						<td v-for="module in active_section.modules"><label class="checkbox"><input type="checkbox" :checked="is_cpl(student, module.id)" disabled></input><div class="square" :class="{ 'cpl-2': get_cpl_state(student, module.id) == 2, 'cpl-3': get_cpl_state(student, module.id) == 3 }"></div></label></td>
					</tr>
				</tbody>
			</table>
		</div>

		<p><a href="#" @click.prevent="select_all_studs()"><span v-if="all_selected">Sélectionner aucun</span><span v-if="!all_selected">Sélectionner tout</span></a></p>
		<!-- <tr class="double-thead">
			<th scope="row">Étudiant</th>
			<th v-for="module in active_section.modules" :title="module.name" scope="col">{{ module.shortname }}</th>
		</tr> -->

		<form style="display: inline;" :action="base_url + '/course/format/iena/suivi_unit.php?courseid=' + course_id" method="POST">
			<input style="display: none;" v-model="checked_students" type="text" name="api_url" />
			<button id="msg_send_btn" type="submit" class="btn btn-primary" :disabled="checked_students == ''">Envoyer un message</button>
		</form>

		<a :href="base_url + '/course/view.php?id=' + course_id" class="btn btn-secondary">Retour au cours</a>

		<p class="text-muted">Envoyer un message à tous les étudiants sélectionnés. </p>
		<?php 
		if (has_capability('course/iena:suivi', $context = context_course::instance($COURSE->id), $USER->id)) {
			echo '<p><a href="#" @click.prevent="download_stud_cpl()">Télécharger le tableau</a></p>';
		}
		?>

	</div>

</div> <!-- end vuejs app template -->

<!-- vuejs script -->
<script type="text/javascript">
	Vue.config.devtools = true;
	var app = new Vue({
		el: "#app",
		data: {
			user_group_ids: <?php echo json_encode($current_user_groups, JSON_PRETTY_PRINT); ?>,
			stud_filter: "nodone",
			table: <?php echo json_encode($data, JSON_PRETTY_PRINT); ?>,
			active_section_id: <?php echo $active_section; ?>,
			students: <?php echo json_encode($all_studs, JSON_PRETTY_PRINT); ?>,
			active_group: <?php echo $active_group; ?>,
			course_groups: <?php echo json_encode($course_groups, JSON_PRETTY_PRINT); ?>,
			course_sections: <?php echo json_encode($course_sections, JSON_PRETTY_PRINT); ?>,
			course_id: <?php echo $COURSE->id; ?>,
			base_url: "<?php echo $CFG->wwwroot; ?>",
			all_selected: false,
			has_data: <?php echo json_encode($has_data, JSON_PRETTY_PRINT); ?>
		},
		computed: {
			active_section: function () {
				for (var i = 0; i < this.table.length; i++) {
					if ( this.table[i].sectionid == this.active_section_id ) {
						return this.table[i];
					}
				}
			},
			active_section_name: function () {
				for ( var i = 0; i < this.course_sections.length; i++ ) {
					if ( this.course_sections[i].id == this.active_section_id ) {
						return " – " + this.course_sections[i].name;
					}
				}
				return "";
			},
			edit_settings_link: function () {
				return "<?php echo $CFG->wwwroot; ?>/course/format/iena/param_indicateur.php?courseid=<?php echo $COURSE->id; ?>&sectionid=" + this.active_section_id;
			},
			checked_students: function () {
				var check = [];
				for ( var i = 0; i < this.students.length; i++ ) {
					if ( this.students[i].check ) {
						check.push(this.students[i].userid)
					}
				}
				return check.toString();
			}
		},
		methods: {
			is_cpl: function (stud, mod_id) {
				for (var i = 0; i < stud.modules.length; i++ ) {
					if ( stud.modules[i].id == mod_id ) {
						return true
					}
				}
				return false
			},
			get_cpl_state: function (stud, mod_id) {
				for (var i = 0; i < stud.modules.length; i++ ) {
					if ( stud.modules[i].id == mod_id ) {
						return stud.modules[i].cpl_state
					}
				}
				return 0
			},
			all_done: function (student) {
				if (this.stud_filter == 'all') {
					return true;
				}
				var mods = this.active_section.modules;
				var all_done = true;
				for ( var i = 0; i < mods.length; i++ ) {
					if ( student.modules.indexOf(mods[i].id) === -1 ) {
						all_done = false;
						break;
					}
				}
				return !all_done;
			},
			group: function (student) {

				if ( this.active_group == 0 ) {
					return true;
				}

				for ( var i = 0; i < student.groups.length; i++ ) {
						// console.log(student.groups[i])
						// console.log(this.active_group)
						// console.log(student.groups[i] == this.active_group)
						if ( student.groups[i] == this.active_group ) {
							return true
						}
					}

					return false
				// console.log(student.groups)
				// console.log(this.active_group)
				// console.log(student.groups.indexOf(this.active_group))
				// return this.active_group == 0 || student.groups.indexOf(this.active_group) > -1;
			},
			select_all_studs: function () {
				if ( this.all_selected ) {
					var check = false;
				} else {
					var check = true;
				}
				for ( var i = 0; i < this.students.length; i++ ) {
					this.students[i].check = check;
				}
				this.all_selected = check;
			},
			is_user_group: function (group_id) {
				return this.user_group_ids.indexOf(parseInt(group_id)) > -1
			},
			student_cpl_c: function (student) {
				var section_modules = [];
				for ( var j = 0; j < this.active_section.modules.length; j++ ) {
					section_modules.push(this.active_section.modules[j].id)
				}
				var cpl_mods = []
				for ( var k = 0; k < section_modules.length; k++ ) {
					// if ( student.modules.indexOf(section_modules[k]) > -1 ) {
					if ( this.get_cpl_state(student, section_modules[k]) > 0 ) {
						cpl_mods.push(section_modules[k])
					}
				}
				var percentage = Math.round( cpl_mods.length * 100 / section_modules.length );
				return percentage + ' %'
			},
			download_stud_cpl: function () {
				var stud_cpl = [];
				for ( var i = 0; i < this.students.length; i++ ) {
					if ( !this.group(this.students[i]) ) {
						continue;
					}
					var section_modules = [];
					for ( var j = 0; j < this.active_section.modules.length; j++ ) {
						section_modules.push(this.active_section.modules[j].id)
					}
					var cpl_mods = []
					var mods = []
					for ( var k = 0; k < section_modules.length; k++ ) {
						if ( this.get_cpl_state(this.students[i], section_modules[k]) > 0 ) {
						// if ( this.students[i].modules.indexOf(section_modules[k]) > -1 ) {
							cpl_mods.push(section_modules[k])
							mods.push("1")
						} else {
							mods.push("0")
						}
					}
					var arr = [
					this.students[i].userid,
					this.students[i].firstname,
					this.students[i].lastname,
					'"'+this.students[i].groups.join(", ")+'"',
					Math.round( cpl_mods.length * 100 / section_modules.length ).toString()
					];
					for ( var l = 0; l < mods.length; l++ ) {
						arr.push(mods[l])
					}
					stud_cpl.push(arr);
				}

				// si la table est vide, pas besoin d'exporter
				if (stud_cpl.length > 0) {
					var csvContent = "data:text/csv;charset=utf-8,";
					var head = ['Moodle_id', 'Prénom', 'Nom', 'Groupes', 'Suivi_pourcentage'];
					for ( var m = 0; m < this.active_section.modules.length; m++ ) {
						head.push(this.active_section.modules[m].name.replace(',', ''))
					}
					csvContent += head.join(",");
					csvContent += "\n";
					stud_cpl.forEach(function(arr, index){
						var dataString = arr.join(",");
						csvContent += dataString + "\n";
					});
					var encodedUri = encodeURI(csvContent);
					var link = document.createElement("a");
					link.setAttribute("href", encodedUri);
					var section_name = slug_it(this.active_section.section_name).substring(0, 10);
					link.setAttribute("download", "report-iena-"+section_name+"-"+ Date.now() +".csv");
					document.body.appendChild(link);
					link.click();
					document.body.removeChild(link); 
				} else {
					alert('Aucune donnée à exporter. Sélectionner un groupe. Vous ne pouvez pas télécharger les données de tous les groupes.')
				}

			}
		}

	});

function slug_it(str) {
	return str.toString().toLowerCase().trim()
	.replace(/\s+/g, '-')           /* Replace spaces with - */
	.replace(/&/g, '-and-')         /* Replace & with 'and' */
	.replace(/[^\w\-]+/g, '')       /* Remove all non-word chars */
	.replace(/\-\-+/g, '-');        /* Replace multiple - with single - */
}

</script>



<?php

// foreach ($sections as $section) {
// 	foreach ($Tab_hide_indic_modules[$section->id] as $hide_indic_module) {
// 		if ($hide_indic_module->hide == 1) {
// 			$moduleTool = new course_format_iena_section_ressources();
// 			$moduleTool->get_ressource_by_id($hide_indic_module->cmid);
// 			// echo "<p  class='section-" . $section->id . "'>" . $moduleTool->name . "</p>";
// 		}
// 	}
// }

// foreach ($modinfo->get_cms() as $cm) {
// 	if ($cm->deletioninprogress === 0) {
// 		// echo "<p class='courseAllH'><strong>" . $cm->name . "</strong></p>";
// 	}
// }

?>






